| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC2498.cpp File Reference
Analog-to-Digital Converters (ADC) » LTC2498: 24-Bit, 16-Channel Delta Sigma ADCs with Easy Drive Input Current Cancellation

Library for LTC2498: 24-Bit, 16-Channel Delta Sigma ADCs with Easy Drive Input Current Cancellation. More...

## Detailed Description

Library for LTC2498: 24-Bit, 16-Channel Delta Sigma ADCs with Easy Drive Input Current Cancellation.

Definition in file LTC2498.cpp.

Go to the source code of this file.

## Functions
int8_t | LTC2498_EOC_timeout (uint8_t cs, uint16_t miso_timeout)
| Checks for EOC with a specified timeout. More...
void | LTC2498_read (uint8_t cs, uint8_t adc_command_high, uint8_t adc_command_low, int32_t *adc_code)
| Reads from LTC2498. More...
float | LTC2498_code_to_voltage (int32_t adc_code, float vref)
| Calculates the voltage corresponding to an adc code, given the reference (in volts) More...

## Function Documentation

## ◆ LTC2498_code_to_voltage()

float LTC2498_code_to_voltage | ( | int32_t | adc_code,
|  | float | vref
| ) |  |

Calculates the voltage corresponding to an adc code, given the reference (in volts)

Returns
  Returns voltage calculated from ADC code.

Parameters

  adc_code | Code read from adc
  vref | VRef (in volts)

Definition at line 85 of file LTC2498.cpp.

## ◆ LTC2498_EOC_timeout()

int8_t LTC2498_EOC_timeout | ( | uint8_t | cs,
|  | uint16_t | miso_timeout
| ) |  |

Checks for EOC with a specified timeout.

Returns
  Returns 0=successful, 1=unsuccessful (exceeded timeout)

Parameters

  cs | Chip Select pin
  miso_timeout | Timeout (in milliseconds)

Definition at line 72 of file LTC2498.cpp.

## ◆ LTC2498_read()

void LTC2498_read | ( | uint8_t | cs,
|  | uint8_t | adc_command_high,
|  | uint8_t | adc_command_low,
|  | int32_t * | adc_code
| ) |  |

Reads from LTC2498.

Parameters

  cs | Chip select
  adc_command_high | High byte command written to LTC2498
  adc_command_low | Low byte command written to LTC2498
  adc_code | 4 byte conversion code read from LTC2498

Definition at line 79 of file LTC2498.cpp.